IColumnSerializer.Flag (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.io
Enum IColumnSerializer.Flag

    java.lang.Object
      java.lang.Enum<IColumnSerializer.Flag>
          org.apache.cassandra.io.IColumnSerializer.Flag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IColumnSerializer.Flag>

Enclosing interface:
  IColumnSerializer

    public static enum IColumnSerializer.Flag

extends java.lang.Enum<IColumnSerializer.Flag>

Flag affecting deserialization behavior. - LOCAL: for deserialization of local data (Expired columns are converted to tombstones (to gain disk space)). - FROM_REMOTE: for deserialization of data received from remote hosts (Expired columns are converted to tombstone and counters have their delta cleared) - PRESERVE_SIZE: used when no transformation must be performed, i.e, when we must ensure that deserializing and reserializing the result yield the exact same bytes. Streaming uses this.

Enum Constant Summary
`FROM_REMOTE`
`LOCAL`
`PRESERVE_SIZE`

Method Summary
`static IColumnSerializer.Flag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IColumnSerializer.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL

    public static final IColumnSerializer.Flag LOCAL

### FROM_REMOTE

    public static final IColumnSerializer.Flag FROM_REMOTE

### PRESERVE_SIZE

    public static final IColumnSerializer.Flag PRESERVE_SIZE

Method Detail

### values

    public static IColumnSerializer.Flag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IColumnSerializer.Flag c : IColumnSerializer.Flag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IColumnSerializer.Flag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation